%define major		0
%define libname	%mklibname stemmer %{major}
%define develname	%mklibname stemmer -d

Summary:	The C version of the libstemmer library
Name:		libstemmer
Version:	0
Release:	%mkrel 9
Group:		System/Libraries
License:	BSD
URL:		http://snowball.tartarus.org/
Source0:	http://snowball.tartarus.org/dist/libstemmer_c.tgz
Patch0:		libstemmer-libtool.diff
BuildRequires:	libtool


%description
Snowball is a small string processing language designed for
creating stemming algorithms for use in Information Retrieval.  This
package contains all you need to include the snowball stemming algorithms
into a C project of your own.


%package -n	%{libname}
Summary:	The C version of the libstemmer library
Group:		System/Libraries

%description -n %{libname}
This package containst the files to dynamically link against the C version
of the libstemmer library.

%package -n	%{develname}
Summary:	Static library and header files for the libstemmer library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
This package contains the static libstemmer library and its header
files.

%package -n	stemwords
Summary:	The stemwords utility using the libstemmer library
Group:		System/Libraries

%description -n	stemwords
The stemwords utility using the libstemmer library

%prep

%setup -q -n libstemmer_c
%patch0 -p0

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" Makefile

%build

# voodoo magic
LDFLAGS=`rpm --eval %%configure|grep LDFLAGS|cut -d\" -f2`
perl -pi -e "s|^LDFLAGS.*|LDFLAGS = $LDFLAGS|g" Makefile

%make CFLAGS="%{optflags} -Wall -Iinclude -fPIC -DPIC -D_REENTRANT"

%install
rm -rf %{buildroot}

%makeinstall_std

# install referenced headers
install -m0644 src_c/stem_*.h %{buildroot}%{_includedir}/%{name}/

# fix location
perl -pi -e "s|\.\./src_c/||g" %{buildroot}%{_includedir}/%{name}/modules.h



%files -n %{libname}
%doc README
%{_libdir}/*.so.*

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/*.so
%{_libdir}/*.la

%files -n stemwords
%{_bindir}/stemwords


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0-9.mga3
+ Revision: 358217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 29 2012 malo <malo> 0-8.mga2
+ Revision: 203099
- spec clean-up after import from Mandriva.
- imported package libstemmer

